﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3053
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System
Imports System.ComponentModel
Imports System.Diagnostics
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Xml.Serialization

'
'This source code was auto-generated by wsdl, Version=2.0.50727.3038.
'

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038"), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code"), _
 Web.Services.WebServiceBindingAttribute(Name:="Order_ManagerSOAPBinding", [Namespace]:="http://orderManagerWebServices.tpplc.co.uk")> _
Partial Friend Class Order_Manager
    Inherits Web.Services.Protocols.SoapHttpClientProtocol

    Private OM_Order_CreateOperationCompleted As Threading.SendOrPostCallback

    Private OM_Order_Receive_Status_UpdateOperationCompleted As Threading.SendOrPostCallback

    Private OM_Send_Full_Status_UpdateOperationCompleted As Threading.SendOrPostCallback

    Private OM_Communication_ServiceOperationCompleted As Threading.SendOrPostCallback

    Private OM_Order_RefundOperationCompleted As Threading.SendOrPostCallback

    Private OM_Source_Transaction_LookupOperationCompleted As Threading.SendOrPostCallback

    '''<remarks/>
    Public Sub New()
        MyBase.New()
        Me.Url = Data.GetUrlOrderManager '"HTTP://dc0uxwsdev1:8181/Order_Manager" or "HTTP://dc0uxwsdev2:8181/Order_Manager"
    End Sub

    '''<remarks/>
    Public Event OM_Order_CreateCompleted As OM_Order_CreateCompletedEventHandler

    '''<remarks/>
    Public Event OM_Order_Receive_Status_UpdateCompleted As OM_Order_Receive_Status_UpdateCompletedEventHandler

    '''<remarks/>
    Public Event OM_Send_Full_Status_UpdateCompleted As OM_Send_Full_Status_UpdateCompletedEventHandler

    '''<remarks/>
    Public Event OM_Communication_ServiceCompleted As OM_Communication_ServiceCompletedEventHandler

    '''<remarks/>
    Public Event OM_Order_RefundCompleted As OM_Order_RefundCompletedEventHandler
    '''<remarks/>
    Public Event OM_Source_Transaction_LookupCompleted As OM_Source_Transaction_LookupCompletedEventHandler

    '''<remarks/>
    <Web.Services.Protocols.SoapDocumentMethodAttribute("", RequestNamespace:="http://orderManagerWebServices.tpplc.co.uk", ResponseNamespace:="http://orderManagerWebServices.tpplc.co.uk", Use:=Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=Web.Services.Protocols.SoapParameterStyle.Wrapped)> _
    Public Function OM_Order_Create(ByVal OM_Order_CreateXMLInput As String) As <Xml.Serialization.XmlElementAttribute("OM_Order_CreateXMLOutput")> String
        Dim results() As Object = Me.Invoke("OM_Order_Create", New Object() {OM_Order_CreateXMLInput})
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Function BeginOM_Order_Create(ByVal OM_Order_CreateXMLInput As String, ByVal callback As AsyncCallback, ByVal asyncState As Object) As IAsyncResult
        Return Me.BeginInvoke("OM_Order_Create", New Object() {OM_Order_CreateXMLInput}, callback, asyncState)
    End Function

    '''<remarks/>
    Public Function EndOM_Order_Create(ByVal asyncResult As IAsyncResult) As String
        Dim results() As Object = Me.EndInvoke(asyncResult)
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Overloads Sub OM_Order_CreateAsync(ByVal OM_Order_CreateXMLInput As String)
        Me.OM_Order_CreateAsync(OM_Order_CreateXMLInput, Nothing)
    End Sub

    '''<remarks/>
    Public Overloads Sub OM_Order_CreateAsync(ByVal OM_Order_CreateXMLInput As String, ByVal userState As Object)
        If (Me.OM_Order_CreateOperationCompleted Is Nothing) Then
            Me.OM_Order_CreateOperationCompleted = AddressOf Me.OnOM_Order_CreateOperationCompleted
        End If
        Me.InvokeAsync("OM_Order_Create", New Object() {OM_Order_CreateXMLInput}, Me.OM_Order_CreateOperationCompleted, userState)
    End Sub

    Private Sub OnOM_Order_CreateOperationCompleted(ByVal arg As Object)
        If (Not (Me.OM_Order_CreateCompletedEvent) Is Nothing) Then
            Dim invokeArgs As Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg, Web.Services.Protocols.InvokeCompletedEventArgs)
            RaiseEvent OM_Order_CreateCompleted(Me, New OM_Order_CreateCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
        End If
    End Sub

    '''<remarks/>
    <Web.Services.Protocols.SoapDocumentMethodAttribute("", RequestNamespace:="http://orderManagerWebServices.tpplc.co.uk", ResponseNamespace:="http://orderManagerWebServices.tpplc.co.uk", Use:=Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=Web.Services.Protocols.SoapParameterStyle.Wrapped)> _
    Public Function OM_Order_Receive_Status_Update(ByVal OM_Order_Receive_Status_UpdateXMLInput As String) As <Xml.Serialization.XmlElementAttribute("OM_Order_Receive_Status_UpdateXMLOutput")> String
        Dim results() As Object = Me.Invoke("OM_Order_Receive_Status_Update", New Object() {OM_Order_Receive_Status_UpdateXMLInput})
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Function BeginOM_Order_Receive_Status_Update(ByVal OM_Order_Receive_Status_UpdateXMLInput As String, ByVal callback As AsyncCallback, ByVal asyncState As Object) As IAsyncResult
        Return Me.BeginInvoke("OM_Order_Receive_Status_Update", New Object() {OM_Order_Receive_Status_UpdateXMLInput}, callback, asyncState)
    End Function

    '''<remarks/>
    Public Function EndOM_Order_Receive_Status_Update(ByVal asyncResult As IAsyncResult) As String
        Dim results() As Object = Me.EndInvoke(asyncResult)
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Overloads Sub OM_Order_Receive_Status_UpdateAsync(ByVal OM_Order_Receive_Status_UpdateXMLInput As String)
        Me.OM_Order_Receive_Status_UpdateAsync(OM_Order_Receive_Status_UpdateXMLInput, Nothing)
    End Sub

    '''<remarks/>
    Public Overloads Sub OM_Order_Receive_Status_UpdateAsync(ByVal OM_Order_Receive_Status_UpdateXMLInput As String, ByVal userState As Object)
        If (Me.OM_Order_Receive_Status_UpdateOperationCompleted Is Nothing) Then
            Me.OM_Order_Receive_Status_UpdateOperationCompleted = AddressOf Me.OnOM_Order_Receive_Status_UpdateOperationCompleted
        End If
        Me.InvokeAsync("OM_Order_Receive_Status_Update", New Object() {OM_Order_Receive_Status_UpdateXMLInput}, Me.OM_Order_Receive_Status_UpdateOperationCompleted, userState)
    End Sub

    Private Sub OnOM_Order_Receive_Status_UpdateOperationCompleted(ByVal arg As Object)
        If (Not (Me.OM_Order_Receive_Status_UpdateCompletedEvent) Is Nothing) Then
            Dim invokeArgs As Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg, Web.Services.Protocols.InvokeCompletedEventArgs)
            RaiseEvent OM_Order_Receive_Status_UpdateCompleted(Me, New OM_Order_Receive_Status_UpdateCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
        End If
    End Sub

    '''<remarks/>
    <Web.Services.Protocols.SoapDocumentMethodAttribute("", RequestNamespace:="http://orderManagerWebServices.tpplc.co.uk", ResponseNamespace:="http://orderManagerWebServices.tpplc.co.uk", Use:=Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=Web.Services.Protocols.SoapParameterStyle.Wrapped)> _
    Public Function OM_Send_Full_Status_Update(ByVal OM_Send_Full_Status_UpdateXMLInput As String) As <Xml.Serialization.XmlElementAttribute("OM_Send_Full_Status_UpdateXMLOutput")> String
        Dim results() As Object = Me.Invoke("OM_Send_Full_Status_Update", New Object() {OM_Send_Full_Status_UpdateXMLInput})
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Function BeginOM_Send_Full_Status_Update(ByVal OM_Send_Full_Status_UpdateXMLInput As String, ByVal callback As AsyncCallback, ByVal asyncState As Object) As IAsyncResult
        Return Me.BeginInvoke("OM_Send_Full_Status_Update", New Object() {OM_Send_Full_Status_UpdateXMLInput}, callback, asyncState)
    End Function

    '''<remarks/>
    Public Function EndOM_Send_Full_Status_Update(ByVal asyncResult As IAsyncResult) As String
        Dim results() As Object = Me.EndInvoke(asyncResult)
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Overloads Sub OM_Send_Full_Status_UpdateAsync(ByVal OM_Send_Full_Status_UpdateXMLInput As String)
        Me.OM_Send_Full_Status_UpdateAsync(OM_Send_Full_Status_UpdateXMLInput, Nothing)
    End Sub

    '''<remarks/>
    Public Overloads Sub OM_Send_Full_Status_UpdateAsync(ByVal OM_Send_Full_Status_UpdateXMLInput As String, ByVal userState As Object)
        If (Me.OM_Send_Full_Status_UpdateOperationCompleted Is Nothing) Then
            Me.OM_Send_Full_Status_UpdateOperationCompleted = AddressOf Me.OnOM_Send_Full_Status_UpdateOperationCompleted
        End If
        Me.InvokeAsync("OM_Send_Full_Status_Update", New Object() {OM_Send_Full_Status_UpdateXMLInput}, Me.OM_Send_Full_Status_UpdateOperationCompleted, userState)
    End Sub

    Private Sub OnOM_Send_Full_Status_UpdateOperationCompleted(ByVal arg As Object)
        If (Not (Me.OM_Send_Full_Status_UpdateCompletedEvent) Is Nothing) Then
            Dim invokeArgs As Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg, Web.Services.Protocols.InvokeCompletedEventArgs)
            RaiseEvent OM_Send_Full_Status_UpdateCompleted(Me, New OM_Send_Full_Status_UpdateCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
        End If
    End Sub

    '''<remarks/>
    <Web.Services.Protocols.SoapDocumentMethodAttribute("", RequestNamespace:="http://orderManagerWebServices.tpplc.co.uk", ResponseNamespace:="http://orderManagerWebServices.tpplc.co.uk", Use:=Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=Web.Services.Protocols.SoapParameterStyle.Wrapped)> _
    Public Function OM_Communication_Service(ByVal OM_Communication_ServiceXMLInput As String) As <Xml.Serialization.XmlElementAttribute("OM_Communication_ServiceXMLOutput")> String
        Dim results() As Object = Me.Invoke("OM_Communication_Service", New Object() {OM_Communication_ServiceXMLInput})
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Function BeginOM_Communication_Service(ByVal OM_Communication_ServiceXMLInput As String, ByVal callback As AsyncCallback, ByVal asyncState As Object) As IAsyncResult
        Return Me.BeginInvoke("OM_Communication_Service", New Object() {OM_Communication_ServiceXMLInput}, callback, asyncState)
    End Function

    '''<remarks/>
    Public Function EndOM_Communication_Service(ByVal asyncResult As IAsyncResult) As String
        Dim results() As Object = Me.EndInvoke(asyncResult)
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Overloads Sub OM_Communication_ServiceAsync(ByVal OM_Communication_ServiceXMLInput As String)
        Me.OM_Communication_ServiceAsync(OM_Communication_ServiceXMLInput, Nothing)
    End Sub

    '''<remarks/>
    Public Overloads Sub OM_Communication_ServiceAsync(ByVal OM_Communication_ServiceXMLInput As String, ByVal userState As Object)
        If (Me.OM_Communication_ServiceOperationCompleted Is Nothing) Then
            Me.OM_Communication_ServiceOperationCompleted = AddressOf Me.OnOM_Communication_ServiceOperationCompleted
        End If
        Me.InvokeAsync("OM_Communication_Service", New Object() {OM_Communication_ServiceXMLInput}, Me.OM_Communication_ServiceOperationCompleted, userState)
    End Sub

    Private Sub OnOM_Communication_ServiceOperationCompleted(ByVal arg As Object)
        If (Not (Me.OM_Communication_ServiceCompletedEvent) Is Nothing) Then
            Dim invokeArgs As Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg, Web.Services.Protocols.InvokeCompletedEventArgs)
            RaiseEvent OM_Communication_ServiceCompleted(Me, New OM_Communication_ServiceCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
        End If
    End Sub

    '''<remarks/>
    <Web.Services.Protocols.SoapDocumentMethodAttribute("", RequestNamespace:="http://orderManagerWebServices.tpplc.co.uk", ResponseNamespace:="http://orderManagerWebServices.tpplc.co.uk", Use:=Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=Web.Services.Protocols.SoapParameterStyle.Wrapped)> _
    Public Function OM_Order_Refund(ByVal OM_Order_RefundXMLInput As String) As <Xml.Serialization.XmlElementAttribute("OM_Order_RefundXMLOutput")> String
        Dim results() As Object = Me.Invoke("OM_Order_Refund", New Object() {OM_Order_RefundXMLInput})
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Function BeginOM_Order_Refund(ByVal OM_Order_RefundXMLInput As String, ByVal callback As AsyncCallback, ByVal asyncState As Object) As IAsyncResult
        Return Me.BeginInvoke("OM_Order_Refund", New Object() {OM_Order_RefundXMLInput}, callback, asyncState)
    End Function

    '''<remarks/>
    Public Function EndOM_Order_Refund(ByVal asyncResult As IAsyncResult) As String
        Dim results() As Object = Me.EndInvoke(asyncResult)
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Overloads Sub OM_Order_RefundAsync(ByVal OM_Order_RefundXMLInput As String)
        Me.OM_Order_RefundAsync(OM_Order_RefundXMLInput, Nothing)
    End Sub

    '''<remarks/>
    Public Overloads Sub OM_Order_RefundAsync(ByVal OM_Order_RefundXMLInput As String, ByVal userState As Object)
        If (Me.OM_Order_RefundOperationCompleted Is Nothing) Then
            Me.OM_Order_RefundOperationCompleted = AddressOf Me.OnOM_Order_RefundOperationCompleted
        End If
        Me.InvokeAsync("OM_Order_Refund", New Object() {OM_Order_RefundXMLInput}, Me.OM_Order_RefundOperationCompleted, userState)
    End Sub

    Private Sub OnOM_Order_RefundOperationCompleted(ByVal arg As Object)
        If (Not (Me.OM_Order_RefundCompletedEvent) Is Nothing) Then
            Dim invokeArgs As Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg, Web.Services.Protocols.InvokeCompletedEventArgs)
            RaiseEvent OM_Order_RefundCompleted(Me, New OM_Order_RefundCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
        End If
    End Sub

    '''<remarks/>
    <Web.Services.Protocols.SoapDocumentMethodAttribute("", RequestNamespace:="http://orderManagerWebServices.tpplc.co.uk", ResponseNamespace:="http://orderManagerWebServices.tpplc.co.uk", Use:=Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=Web.Services.Protocols.SoapParameterStyle.Wrapped)> _
    Public Function OM_Source_Transaction_Lookup(ByVal OM_Source_Transaction_LookupXMLInput As String) As <Xml.Serialization.XmlElementAttribute("OM_Source_Transaction_LookupXMLOutput")> String
        Dim results() As Object = Me.Invoke("OM_Source_Transaction_Lookup", New Object() {OM_Source_Transaction_LookupXMLInput})
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Function BeginOM_Source_Transaction_Lookup(ByVal OM_Source_Transaction_LookupXMLInput As String, ByVal callback As AsyncCallback, ByVal asyncState As Object) As IAsyncResult
        Return Me.BeginInvoke("OM_Source_Transaction_Lookup", New Object() {OM_Source_Transaction_LookupXMLInput}, callback, asyncState)
    End Function

    '''<remarks/>
    Public Function EndOM_Source_Transaction_Lookup(ByVal asyncResult As IAsyncResult) As String
        Dim results() As Object = Me.EndInvoke(asyncResult)
        Return CType(results(0), String)
    End Function

    '''<remarks/>
    Public Overloads Sub OM_Source_Transaction_LookupAsync(ByVal OM_Source_Transaction_LookupXMLInput As String)
        Me.OM_Source_Transaction_LookupAsync(OM_Source_Transaction_LookupXMLInput, Nothing)
    End Sub

    '''<remarks/>
    Public Overloads Sub OM_Source_Transaction_LookupAsync(ByVal OM_Source_Transaction_LookupXMLInput As String, ByVal userState As Object)
        If (Me.OM_Source_Transaction_LookupOperationCompleted Is Nothing) Then
            Me.OM_Source_Transaction_LookupOperationCompleted = AddressOf Me.OnOM_Source_Transaction_LookupOperationCompleted
        End If
        Me.InvokeAsync("OM_Source_Transaction_Lookup", New Object() {OM_Source_Transaction_LookupXMLInput}, Me.OM_Source_Transaction_LookupOperationCompleted, userState)
    End Sub

    Private Sub OnOM_Source_Transaction_LookupOperationCompleted(ByVal arg As Object)
        If (Not (Me.OM_Source_Transaction_LookupCompletedEvent) Is Nothing) Then
            Dim invokeArgs As Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg, Web.Services.Protocols.InvokeCompletedEventArgs)
            RaiseEvent OM_Source_Transaction_LookupCompleted(Me, New OM_Source_Transaction_LookupCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
        End If
    End Sub

    '''<remarks/>
    Public Shadows Sub CancelAsync(ByVal userState As Object)
        MyBase.CancelAsync(userState)
    End Sub
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038")> _
Public Delegate Sub OM_Order_CreateCompletedEventHandler(ByVal sender As Object, ByVal e As OM_Order_CreateCompletedEventArgs)

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038"), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code")> _
Partial Public Class OM_Order_CreateCompletedEventArgs
    Inherits ComponentModel.AsyncCompletedEventArgs

    Private results() As Object

    Friend Sub New(ByVal results() As Object, ByVal exception As Exception, ByVal cancelled As Boolean, ByVal userState As Object)
        MyBase.New(exception, cancelled, userState)
        Me.results = results
    End Sub

    '''<remarks/>
    Public ReadOnly Property Result() As String
        Get
            Me.RaiseExceptionIfNecessary()
            Return CType(Me.results(0), String)
        End Get
    End Property
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038")> _
Public Delegate Sub OM_Order_Receive_Status_UpdateCompletedEventHandler(ByVal sender As Object, ByVal e As OM_Order_Receive_Status_UpdateCompletedEventArgs)

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038"), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code")> _
Partial Public Class OM_Order_Receive_Status_UpdateCompletedEventArgs
    Inherits ComponentModel.AsyncCompletedEventArgs

    Private results() As Object

    Friend Sub New(ByVal results() As Object, ByVal exception As Exception, ByVal cancelled As Boolean, ByVal userState As Object)
        MyBase.New(exception, cancelled, userState)
        Me.results = results
    End Sub

    '''<remarks/>
    Public ReadOnly Property Result() As String
        Get
            Me.RaiseExceptionIfNecessary()
            Return CType(Me.results(0), String)
        End Get
    End Property
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038")> _
Public Delegate Sub OM_Send_Full_Status_UpdateCompletedEventHandler(ByVal sender As Object, ByVal e As OM_Send_Full_Status_UpdateCompletedEventArgs)

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038"), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code")> _
Partial Public Class OM_Send_Full_Status_UpdateCompletedEventArgs
    Inherits ComponentModel.AsyncCompletedEventArgs

    Private results() As Object

    Friend Sub New(ByVal results() As Object, ByVal exception As Exception, ByVal cancelled As Boolean, ByVal userState As Object)
        MyBase.New(exception, cancelled, userState)
        Me.results = results
    End Sub

    '''<remarks/>
    Public ReadOnly Property Result() As String
        Get
            Me.RaiseExceptionIfNecessary()
            Return CType(Me.results(0), String)
        End Get
    End Property
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038")> _
Public Delegate Sub OM_Communication_ServiceCompletedEventHandler(ByVal sender As Object, ByVal e As OM_Communication_ServiceCompletedEventArgs)

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038"), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code")> _
Partial Public Class OM_Communication_ServiceCompletedEventArgs
    Inherits ComponentModel.AsyncCompletedEventArgs

    Private results() As Object

    Friend Sub New(ByVal results() As Object, ByVal exception As Exception, ByVal cancelled As Boolean, ByVal userState As Object)
        MyBase.New(exception, cancelled, userState)
        Me.results = results
    End Sub

    '''<remarks/>
    Public ReadOnly Property Result() As String
        Get
            Me.RaiseExceptionIfNecessary()
            Return CType(Me.results(0), String)
        End Get
    End Property
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038")> _
Public Delegate Sub OM_Order_RefundCompletedEventHandler(ByVal sender As Object, ByVal e As OM_Order_RefundCompletedEventArgs)

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038"), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code")> _
Partial Public Class OM_Order_RefundCompletedEventArgs
    Inherits ComponentModel.AsyncCompletedEventArgs

    Private results() As Object

    Friend Sub New(ByVal results() As Object, ByVal exception As Exception, ByVal cancelled As Boolean, ByVal userState As Object)
        MyBase.New(exception, cancelled, userState)
        Me.results = results
    End Sub

    '''<remarks/>
    Public ReadOnly Property Result() As String
        Get
            Me.RaiseExceptionIfNecessary()
            Return CType(Me.results(0), String)
        End Get
    End Property
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038")> _
Public Delegate Sub OM_Source_Transaction_LookupCompletedEventHandler(ByVal sender As Object, ByVal e As OM_Source_Transaction_LookupCompletedEventArgs)

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "2.0.50727.3038"), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code")> _
Partial Public Class OM_Source_Transaction_LookupCompletedEventArgs
    Inherits ComponentModel.AsyncCompletedEventArgs

    Private results() As Object

    Friend Sub New(ByVal results() As Object, ByVal exception As Exception, ByVal cancelled As Boolean, ByVal userState As Object)
        MyBase.New(exception, cancelled, userState)
        Me.results = results
    End Sub

    '''<remarks/>
    Public ReadOnly Property Result() As String
        Get
            Me.RaiseExceptionIfNecessary()
            Return CType(Me.results(0), String)
        End Get
    End Property
End Class
